.hero {
    text-align: left; 
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 950px;
    margin: 0 auto; 
    margin-top: 28vh; 
}

.story-content {
    margin-top: 4px; 
    max-height: 43vh; 
    overflow-y: auto; 
    padding-right: 20px; 
    padding-bottom: 20px;
    -webkit-mask-image: linear-gradient(to bottom, black 0%, black 85%, transparent 100%);
    mask-image: linear-gradient(to bottom, black 0%, black 85%, transparent 100%);
}

.story-content p {
    font-size: 19.2px;
    font-weight: 300;
    text-align: justify;
    color: #ffffff;
    opacity: 0.6;
    line-height: 1.6;
    margin-bottom: 24px; 
}

.story-content::-webkit-scrollbar {
    width: 6px;
}

.story-content::-webkit-scrollbar-track {
    background: rgba(255, 255, 255, 0.02);
    border-radius: 10px;
}

.story-content::-webkit-scrollbar-thumb {
    background: rgba(255, 255, 255, 0.15);
    border-radius: 10px;
    transition: all 0.3s ease;
}

.story-content::-webkit-scrollbar-thumb:hover {
    background: rgba(255, 255, 255, 0.3);
}

.timeline {
    font-family: 'Space Grotesk', sans-serif;
    font-size: 19.2px;
    text-decoration: none;
    font-weight: 300;
    color: #ffffff;
    /* opacity: 0.6; */
    transition: opacity 0.3s ease, color 0.3s ease;
}

.timeline::after {
    content: '';
    display: inline-block;
    width: 16px;
    height: 16px;
    background-image: url('../../icons/link.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-left: 6px;
    vertical-align: baseline;
}

.timeline:hover {
    opacity: 1;
    color: #ffffff;
}

@media (max-width: 768px) {
    .hero {
        margin-top: 12vh;
        padding-right: 12px;
    }

    .story-content {
        max-height: 52vh;
    }

    .story-content P{
        font-size: 16px;
    }

    .timeline{
        font-size: 16px;
    }

    .timeline::after{
        width: 13px;
        height: 13px;
    }
}
